LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux From Scratch
User Name
Password
Linux From Scratch This Forum is for the discussion of LFS.
LFS is a project that provides you with the steps necessary to build your own custom Linux system.

Notices


Reply
  Search this Thread
Old 01-25-2009, 03:28 PM   #1
agrestic
Member
 
Registered: Jan 2009
Location: atlanta, ga, usa
Distribution: sabayon 5, slack64, Lenny, LFS 6.4 user # 20665
Posts: 61

Rep: Reputation: 16
[SOLVED] GCC make error 2; stage 1 gmp (Book 6.4)


Hi all. I placed the gmp and mpfr folders in gcc-4.3.2, ran the ./configure specified in the book from gcc-build, and the configure works. But running make yields this:
Code:
checking whether make sets $(MAKE)... yes
configure: error: source directory already configured; run "make distclean" there first
make[2]: *** [configure-stage1-gmp] Error 1
make[2]: Leaving directory `/mnt/lfs/sources/gcc-build'
make[1]: *** [stage1-bubble] Error 2
make[1]: Leaving directory `/mnt/lfs/sources/gcc-build'
make: *** [all] Error 2
.......yadda, yadda......
TIA for your time.

********
[SOLVED]
********
Before I saw the LQ thread saying to put gmp and mpfr in the gcc-4.3.2 folder, I did configure; make in the gmp dir. :/ Obviously the error I posted (and bitched about) referenced gmp.
Call me at 1-800-DUMB-ASS to opine.

*******
Got it working, thank Tux!
LFS user# 20665

Last edited by agrestic; 01-26-2009 at 11:47 AM. Reason: [SOLVED]
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
i have an error Building GCC: requires GMP 4.1+ and MPFR 2.3.0+. robineecc1 Linux From Scratch 14 10-03-2011 09:41 PM
Finding path of GMP and MPFR for gcc upgrade drosselmeyer Linux - Newbie 2 08-03-2011 07:15 AM
i got error in 6.12-GCC-4.0.3 of LFS-Book-6.2 luckybtn Linux From Scratch 1 08-06-2008 09:52 AM
Can't Compile GMP with gcc mac 10.4.11 phy1729 Programming 1 04-16-2008 03:06 AM
gcc 4.0.3 make error RiSK Linux From Scratch 3 07-30-2007 10:15 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux From Scratch

All times are GMT -5. The time now is 04:19 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration